#!/bin/sh
#Add code to /etc/rc.d/boot.local to remove the BusID from X config file
#Fixes problem where bus reordering with HW add/remove keeps X from coming up

xconf=/etc/X11/xorg.conf

cat >> /etc/rc.d/boot.local << EOF
sed '/BusID/d' $xconf > $xconf.tmp
mv -f $xconf.tmp $xconf
EOF
